/**
 * @author Peter Nitsch
 */

var IAC = 255;
var GA = 249;
var WILL = 251;
var WONT = 252;
var DO = 253;
var DONT = 254;
var SB = 250;
var SE = 240;
var NOP = 241;
var DM = 242;
var BRK = 243;

var IP = 244;
var AO = 245;
var AYT = 246;
var EC = 247;
var EL = 248;

var ECHO = 1;
var SUPGA = 3;

var NAWS = 31;
var TTYPE = 24;
var IS = 0;
var SEND = 1;
var LOGOUT = 18;

var LINEMODE = 34;
var LM_MODE = 1;
var LM_EDIT = 1;
var LM_TRAPSIG = 2;
var LM_MODEACK = 4;
var LM_FORWARDMASK = 2;

var LM_SLC = 3;
var LM_SLC_NOSUPPORT = 0;
var LM_SLC_DEFAULT = 3;
var LM_SLC_VALUE = 2;
var LM_SLC_CANTCHANGE = 1;
var LM_SLC_LEVELBITS = 3;
var LM_SLC_ACK = 128;
var LM_SLC_FLUSHIN = 64;
var LM_SLC_FLUSHOUT = 32;

var LM_SLC_SYNCH = 1;
var LM_SLC_BRK = 2;
var LM_SLC_IP = 3;
var LM_SLC_AO = 4;
var LM_SLC_AYT = 5;
var LM_SLC_EOR = 6;
var LM_SLC_ABORT = 7;
var LM_SLC_EOF = 8;
var LM_SLC_SUSP = 9;

var NEWENV = 39;
var NE_INFO = 2;
var NE_VAR = 0;
var NE_VALUE = 1;
var NE_ESC = 2;
var NE_USERVAR = 3;

var NE_VAR_OK = 2;
var NE_VAR_DEFINED = 1;
var NE_VAR_DEFINED_EMPTY = 0;
var NE_VAR_UNDEFINED = -1;
var NE_IN_ERROR = -2;
var NE_IN_END = -3;
var NE_VAR_NAME_MAXLENGTH = 50;
var NE_VAR_VALUE_MAXLENGTH = 1000;

// Unused
var EXT_ASCII = 17;
var SEND_LOC = 23;
var AUTHENTICATION = 37;
var ENCRYPT = 38;